defmodule Prototype.Content.Post do
  use Ecto.Schema
  import Ecto.Changeset

  schema "posts" do
    field :body, :string
    field :title, :string
    belongs_to :author, Prototype.Accounts.User, foreign_key: :author_id

    timestamps()
  end

  @doc false
  def changeset(post, attrs) do
    post
    |> cast(attrs, [:title, :body, :author_id])
    |> validate_required([:title, :body, :author_id])
  end
end
